scala.tools.nsc.backend.icode.Opcodes.opcodes

# Dynamic

#### object Dynamic extends InvokeStyle with Product with Serializable

Virtual calls. On JVM, translated to either `invokeinterface` or `invokevirtual`.

Source
  Opcodes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, InvokeStyle, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Dynamic
2. Serializable
3. Serializable
4. Product
5. Equals
6. InvokeStyle
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hasInstance: Boolean

    Is this an instance method call?

    Is this an instance method call?

    Definition Classes
      InvokeStyle

11. #### def isDynamic: Boolean

    Is this a dynamic method call?

    Is this a dynamic method call?

    Definition Classes
      Dynamic → InvokeStyle

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def isStatic: Boolean

    Is this a static method call?

    Is this a static method call?

    Definition Classes
      InvokeStyle

14. #### def isSuper: Boolean

    Definition Classes
      InvokeStyle

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Returns a string representation of this style.

    Returns a string representation of this style.

    Definition Classes
      Dynamic → InvokeStyle → AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from InvokeStyle

### Inherited from AnyRef

### Inherited from Any

### Ungrouped